Download it now!
Bug 100057 - FILEOPEN: large XML sheet files causes crash/hang in Calc
Summary: FILEOPEN: large XML sheet files causes crash/hang in Calc
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.4.5.2 release
Hardware: All All
: medium major
Assignee: Not Assigned
URL:
Whiteboard: target:5.3.0 target:5.2.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2016-05-25 18:25 UTC by RicardoM
Modified: 2016-08-03 14:34 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
File to reproduce the problem. (75.07 KB, application/zip)
2016-05-25 18:25 UTC, RicardoM
Details

Note You need to log in before you can comment on or make changes to this bug.
Description RicardoM 2016-05-25 18:25:37 UTC
Created attachment 125286 [details]
File to reproduce the problem.

Problem description: When I try to open the xml file too large error occurs "General input/output Error". 
I created a spreadsheet with 1700 lines by 40 columns in LibreOffice calc and saved it as XML, when I try to open again this XML file with the LibreOffice calc, occurs the error.
I tried to increase the memory but it doesn't work.

Steps to reproduce: Open the attached XML file with LibreOffice Calc.

Expected behavior: Open XML large file sheet and quickly.

Platform: Windows 7 Pro. Applies to LibreOffice version 4.4.5.2, 5.0.6.2 and 5.1.3.2.

Thanks in advance for your help and troubleshooting.
Comment 1 Buovjaga 2016-05-27 12:29:48 UTC
Reproduced.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.3.0.0.alpha0+
Build ID: 60041cb237ea73c2c1885dd6afd99d88780c2dfc
CPU Threads: 8; OS Version: Linux 4.5; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8)
Built on May 26th 2016
Comment 2 Cor Nouws 2016-05-28 11:58:05 UTC
Does open in LibreOffice 3.3.0
Daily20160525 hangs.

Range is A1:AN1602
Comment 3 Cor Nouws 2016-05-28 11:58:28 UTC
(Ubuntu 32 bits)
Comment 4 Caolán McNamara 2016-05-30 15:56:06 UTC
On the command line...

xsltproc instdir/program/../share/xslt/import/spreadsheetml/spreadsheetml2ooo.xsl File_libreOffice_1600_lines_by_40_columns.xml

basically reproduces the same problem
Comment 5 Commit Notification 2016-05-30 17:08:43 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2805adb0d3cf68d7def01a93bf07fb2e8121ec10

Resolves: tdf#100057 force libxslt to give up when we cancel a transformation

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Maxim Monastirsky 2016-05-30 18:57:20 UTC
Well, the file will open after all, but it will take ages (~40 minutes on my laptop).

(In reply to RicardoM from comment #0)
> Problem description: When I try to open the xml file too large error occurs
> "General input/output Error". 
This isn't really an error message. It's a fix introduced in Bug 35543 comment 20 (see discussion there), and we have Bug 65980 to improve the message to something more helpful.

> I created a spreadsheet with 1700 lines by 40 columns in LibreOffice calc
> and saved it as XML,
Bad idea. LO doesn't have a real filter for Excel 2003 XML, just some XSLT stuff. By using this thing you'll have big problems sooner or later.
Comment 7 Caolán McNamara 2016-05-30 19:49:26 UTC
caolanm->maxim: The "cancel" didn't cancel for me straight away, it got stuck waiting for libxslt to complete. The above makes "cancel" cancel in reasonable time for me with this document.

Other than that, yeah, there's not much I think we can go wrt xslt filters cause its not really the right tech for this sort of import thing. I think this is as good as it gets without a replacement custom import filter.
Comment 8 Commit Notification 2016-05-30 19:50:23 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bce5cdcc7f59da19c063205c6c79fc30874cb5ee&h=libreoffice-5-2

Resolves: tdf#100057 force libxslt to give up when we cancel a transformation

It will be available in 5.2.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 RicardoM 2016-06-01 14:01:48 UTC
(In reply to Maxim Monastirsky from comment #6)
> Well, the file will open after all, but it will take ages (~40 minutes on my
> laptop).
> 
> (In reply to RicardoM from comment #0)
> > Problem description: When I try to open the xml file too large error occurs
> > "General input/output Error". 
> This isn't really an error message. It's a fix introduced in Bug 35543
> comment 20 (see discussion there), and we have Bug 65980 to improve the
> message to something more helpful.
> 
> > I created a spreadsheet with 1700 lines by 40 columns in LibreOffice calc
> > and saved it as XML,
> Bad idea. LO doesn't have a real filter for Excel 2003 XML, just some XSLT
> stuff. By using this thing you'll have big problems sooner or later.

Hi, Maxim, I created a spreadsheet in libreoffice calc with Excel 2003 XML format to show the problem, about the Libreoffice calc does not open this file. In my scenario, I'm generating a big file of Excel 2003 Xml and try to open it with Libreoffice Calc.

Another thing, I think you spend ~40 minutes to open this file is not acceptable, do you agree? In Excel this same file opens in ~1 minute.

Regards
Comment 10 RicardoM 2016-06-01 14:06:25 UTC
I would like to thank you for the assistance provided by all of you to improve the LibreOffice. 

Great Team. ;-)
Comment 11 RicardoM 2016-08-03 14:13:04 UTC
Problem description: When I try to open the xml file too large error occurs "General input/output Error". I can't open large XML files with LibreOffice calc.
I am using a spreadsheet with 1700 lines by 40 columns in XML and when I try to open this XML file with the LibreOffice calc, occurs the error. 
The performance to open others XML files is very, very slow.
The bug number 100057 wasn't solved. The problem persist.
Steps to reproduce: Open the attached XML file with LibreOffice Calc.
Expected behavior: Open XML large file sheet and improve the performance.
Platform: Windows 7 Pro. Applies to LibreOffice version 5.0.6.2, 5.1.4.0, 5.2.0.3 and 5.3.0.0-alpha0.
Thanks in advance for your help and troubleshooting.
Comment 12 Buovjaga 2016-08-03 14:34:21 UTC
Ricardo: please pay attention to Caolán's comment:

(In reply to Caolán McNamara from comment #7)
> caolanm->maxim: The "cancel" didn't cancel for me straight away, it got
> stuck waiting for libxslt to complete. The above makes "cancel" cancel in
> reasonable time for me with this document.
> 
> Other than that, yeah, there's not much I think we can go wrt xslt filters
> cause its not really the right tech for this sort of import thing. I think
> this is as good as it gets without a replacement custom import filter.

Closing again.